Subject: Re: [PATCH V2 09/10] kasan: Prevent deadlock in kasan reporting

From: "Aneesh Kumar K.V" <[email-masked]>
Date: Sun, 30 Aug 2015 18:23:02 +0530

Andrey Ryabinin <[email-masked]> writes:

> 2015-08-26 11:26 GMT+03:00 Aneesh Kumar K.V <[email-masked]>:
>> We we end up calling kasan_report in real mode, our shadow mapping
>> for even spinlock variable will show poisoned.
>
> Generally I agree with this patch. We should disable reports when we
> print report as early
> as possible to prevent recursion in case of bug in spinlock or printk etc.
>
> But I don't understand what is the problem that you observing.
> How we ended up with shadow poisoned for a valid spinlock struct?
> And since  shadow poisoned for some valid memory we should get
> enormous amount of false positive reports.
>

I still haven't fully isolated all the .c files which should not be
kasan instrumented. That means in case of ppc64 i ended up calling
kasan _load/_store in real mode. That will result in failure w.r.t
to the above spin_lock code.

-aneesh